export default HeaderRowOverlay;
declare class HeaderRowOverlay extends React.PureComponent<any, any, any> {
    constructor(props: any);
    constructor(props: any, context: any);
    render(): JSX.Element;
}
declare namespace HeaderRowOverlay {
    namespace propTypes {
        const headerCellCheckboxSize: PropTypes.Requireable<string>;
        const children: PropTypes.Requireable<any>;
        const className: PropTypes.Requireable<string>;
        const numSelectedRows: PropTypes.Requireable<number>;
        const numSelectedRowsLabel: PropTypes.Requireable<(...args: any[]) => any>;
    }
    namespace defaultProps {
        const numSelectedRows_1: number;
        export { numSelectedRows_1 as numSelectedRows };
    }
}
import React from "react";
import PropTypes from "prop-types";
